# Class CIM_RoutingProtocolDomain
extends CIM_AdminDomain

A Routing Protocol Domain is a collection of routers which coordinate their routing knowledge using a single [instance of a] routing protocol. This class represents the area/layer/level/zone like property of a routing protocol, such as an OSPF (area), IS-IS (layer) or PNNI (level). It does not represent the entire routing domain in every case. For example for OSPF, it represents an Area, but in the case of RIP, it represents the whole RIP domain. Any common attributes of these routing domains can be placed in this class in future versions of CIM.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_System
|
+--CIM_AdminDomain
|
+--CIM_RoutingProtocolDomain

## Direct Known Subclasses

CIM_OSPFArea

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A Routing Protocol Domain is a collection of routers which coordinate their routing knowledge using a single [instance of a] routing protocol. This class represents the area/layer/level/zone like property of a routing protocol, such as an OSPF (area), IS-IS (layer) or PNNI (level). It does not represent the entire routing domain in every case. For example for OSPF, it represents an Area, but in the case of RIP, it represents the whole RIP domain. Any common attributes of these routing domains can be placed in this class in future versions of CIM.

UMLPackagePath | string | CIM::Network::RoutingForwarding
Version | string | 2.7.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_System
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_System
NameFormat | string | CIM_AdminDomain
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_System
PrimaryOwnerName | string | CIM_System
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_System
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_System
Roles | string[] | CIM_System
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement